Pkgupdate problem

Noticed that auto update failed a few days ago. Running pkgupdate from the command line I see

INFO:Target Turris OS: 5.1.10
WARN:Requested package luci-i18n-rainbow-en that is missing, ignoring as requested.
WARN:Requested package luci-i18n-rainbow-cs that is missing, ignoring as requested.
WARN:Requested package luci-i18n-rainbow-de that is missing, ignoring as requested.
WARN:Requested package foris-storage-plugin-l10n-de that is missing, ignoring as requested.
WARN:Requested package reforis-diagnostics-plugin-l10n-de that is missing, ignoring as requested.
WARN:Requested package reforis-snapshots-plugin-l10n-de that is missing, ignoring as requested.

How can I resolve this?

It’s not just your case, it’s probably a general trait at the moment.

Is there a solution for it though?

To solve translation and inclusion in the package library who ? Stay calm, TOS5 is still in development

Hello @darakian,

You could use the Search button on this forum to know if there was a similar or the same post about the issue, which you describe.

These are not problems, because it is harmless warnings. This does not have anything regarding to stay that Turris OS 5.x is in development and indeed our software involves over the time and brings new features and so on.

As you can see, these are language packages. I checked it on our Weblate, which we are using for community translations and I can see that there are not many translated strings for the German language, which is unfortunate.

If you want to have some numbers regarding the German language:

  • Diagnostics plugin: there is only 10% translated strings
  • Snapshots plugin: there is only 31% translated strings
    And that’s why these packages are missing in the first place.

Because Foris is no longer in development as we are focusing on reForis, that’s why Foris Storage plugin will not be anytime soon. It will be fixed once Foris is removed.

And for the last thing, our LuCI addon for rainbow can not be translated right now.